Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util
Class Utf8StringBuilder

    java.lang.Object
      org.eclipse.jetty.util.Utf8StringBuilder

    public class Utf8StringBuilder

extends java.lang.Object

UTF-8 StringBuilder. This class wraps a standard `StringBuffer` and provides methods to append UTF-8 encoded bytes, that are converted into characters. This class is stateful and up to 6 calls to `append(byte)` may be needed before state a character is appended to the string buffer. The UTF-8 decoding is done by this class and no additional buffers or Readers are used. The UTF-8 code was inspired by http://javolution.org

Constructor Summary
`Utf8StringBuilder()`
`Utf8StringBuilder(int capacity)`

Method Summary
`void` | `append(byte b)`
`void` | `append(byte[] b, int offset, int length)`
`java.lang.StringBuilder` | `getStringBuilder()`
`int` | `length()`
`void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Utf8StringBuilder

    public Utf8StringBuilder()

### Utf8StringBuilder

    public Utf8StringBuilder(int capacity)

Method Detail

### append

    public void append(byte[] b,
                       int offset,
                       int length)

### append

    public void append(byte b)

### length

    public int length()

### reset

    public void reset()

### getStringBuilder

    public java.lang.StringBuilder getStringBuilder()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.